> ## Documentation Index
> Fetch the complete documentation index at: https://docs.developers.mijnklantportaal.nl/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Referral information

> Get your referral link and information about usage. Be aware that this endpoint can only be called by owner accounts.



## OpenAPI

````yaml /openapi.yaml get /referral
openapi: 3.1.1
info:
  title: MijnKlantportaal API
  version: v1
servers:
  - url: https://api.mijnklantportaal.nl/v1
security:
  - APIKey: []
tags:
  - name: Agreements API
  - name: Appointments API
  - name: Customers API
  - name: Customer Groups API
  - name: Customer Invoices API
  - name: Customer Offers API
  - name: Customer Subscriptions API
  - name: Customer Subscription Packages API
  - name: Files API
  - name: File Request API
  - name: File Share API
  - name: Invoices API
  - name: Me API
  - name: Payment Links API
  - name: Punch Cards API
  - name: Referral API
  - name: Tickets API
  - name: Webhooks API
paths:
  /referral:
    get:
      tags:
        - Referral API
      summary: Get Referral information
      description: >-
        Get your referral link and information about usage. Be aware that this
        endpoint can only be called by owner accounts.
      operationId: get-referral-info
      responses:
        '200':
          description: Referral information
          content:
            application/json:
              schema:
                type: object
                properties:
                  link:
                    type: string
                    example: >-
                      https://manage.mijnklantportaal.nl/register?referral=123abc
                    description: The link to share to prospects
                  timesUsed:
                    type: integer
                    example: 6
                    description: Users which have signed up via your link this period
                  usageLimit:
                    type: integer
                    example: 12
                    description: Maximum times your link can be used per period
                  usageReset:
                    type: string
                    example: '2027-08-28T00:00:00.000Z'
                    description: >-
                      Date when the usages of your link will be reset. `null`
                      when your link is not used (yet) this period.
                    nullable: true
        '426':
          description: Referral links are only available for users on paid licenses
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error_ApiError'
components:
  schemas:
    Error_ApiError:
      type: object
      properties:
        message:
          type: string
          description: Explanation what went wrong
  securitySchemes:
    APIKey:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.